Page MenuHomeFreeBSD

net-mgmt/icinga2: Use .conf suffix for /usr/local/etc/newsyslog.conf.d/
ClosedPublic

Authored by woodsb02 on Sep 9 2018, 8:40 AM.

Details

Summary

net-mgmt/icinga2: Use .conf suffix for /usr/local/etc/newsyslog.conf.d/

Rename files intended for installation to /usr/local/etc/newsyslog.conf.d/
to end with a '.conf' suffix.

Proposed changes to /etc/newsyslog.conf will only include files from the
/usr/local/etc/newsyslog.conf.d/ directory which end with '.conf' and do
not beginning with a '.' character. https://reviews.freebsd.org/D17086

Approved by: lme (maintainer)

Test Plan

poudriere testport -j 12amd64: ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

woodsb02 created this revision.Sep 9 2018, 8:40 AM
woodsb02 abandoned this revision.Sep 10 2018, 4:19 PM

Abandon this change - relocating existing conf files violates POLA.

woodsb02 reclaimed this revision.Nov 10 2018, 10:58 AM

D17086 has now been committed to 13-CURRENT.
Re-opening this review.
New proposal to minimise the possibility that people are caught out unaware of this:

  1. Modify port to install file to newsyslog/*.conf
  2. Add move_newsyslog_conf() to pkg-install to automatically relocate any existing copy that is missing the .conf file
  3. Add note to UPDATING and pkg-message to notify the user of this change (important if provisioning tools such as ansible, puppet, salt, etc are in use).
lme accepted this revision.Nov 10 2018, 11:29 AM

Thanks! Feel free to commit it.

This revision is now accepted and ready to land.Nov 10 2018, 11:29 AM
This revision was automatically updated to reflect the committed changes.